# ==========================================================================
# This ebuild come from pro-audio repository. Zugaina.org only host a copy.
# For more info go to http://gentoo.zugaina.org/
# ***************** General Portage Overlay (11/20/06) *****************
# ==========================================================================
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils subversion autotools

DESCRIPTION="free alternative to popular programs such as FruityLoops, Cubase and Logic"
HOMEPAGE="http://lmms.sourceforge.net"

ESVN_REPO_URI="https://svn.sourceforge.net/svnroot/lmms/trunk/lmms"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""

S="${WORKDIR}/${PN}"

IUSE="alsa debug flac jack ladspa oss pic samplerate sdl surround stk vorbis
vst qt3 qt4"
DEPEND="qt4? ( >=x11-libs/qt-4.1 ) 
	qt3? ( =x11-libs/qt-3.3* )
	vorbis? ( media-libs/libvorbis )
	alsa? ( media-libs/alsa-lib )
	sdl? ( media-libs/libsdl 
		>=media-libs/sdl-sound-1.0.1 )
	samplerate? ( media-libs/libsamplerate )
	jack? ( >=media-sound/jack-audio-connection-kit-0.99.0 )
	vst? ( >=media-libs/vst-sdk-2.3-r3 
			app-emulation/wine )
	ladspa? ( media-libs/ladspa-sdk )"

pkg_setup() {
	if use qt4; then
		if use qt3; then
			die "Please choose qt3 OR qt4 in USE"
		fi
	fi
}

src_compile() {
	# autofoo
	eautoreconf || die
	
	# copy VST headers
	if use vst; then
		cp /usr/include/vst/aeffectx.h include/
		cp /usr/include/vst/AEffect.h include/
	fi
	
	# configure options
	local myconf
	myconf="`use_with alsa asound` \
		`use_with oss` \
		`use_with vorbis` \
		`use_with samplerate libsrc` \
		`use_with sdl` \
		`use_with sdl sdlsound`\
		`use_with jack` \
		`use_with flac` \
		`use_with ladspa` \
		`use_with pic` \
		`use_enable surround` \
		`use_enable debug` \
		`use_with vst` \
		`use_with stk` \
		--enable-hqsinc"
	
	# qt4 fixups
	if use qt4; then
		myconf="${myconf} --with-qtdir=/usr"
		#epatch ${FILESDIR}/lmms-qt4_configure_gentoo.patch
	fi

	econf ${myconf} || die "Configure failed"

	# we need MAKEOPTS="-j1" for VST support
	if use vst; then
		emake -j1 || die "Make failed"
	else
		emake || die "Make failed"
	fi
}

src_install() {
	make DESTDIR="${D}" install || die "Install failed"
	make_desktop_entry lmms "Linux Multimedia Studio" "/usr/share/lmms/icon.png"
	dodoc README AUTHORS ChangeLog TODO || die "dodoc failed"
}
