# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit versionator

MY_RELEASE=$(get_version_component_range 1-3)
MY_FILE=${PN}-${MY_RELEASE}-$(get_version_component_range 4)-Linux

DESCRIPTION="The search engine for IT data"
HOMEPAGE="http://www.splunk.com"
REL_URI="http://download.splunk.com/releases/${MY_RELEASE}/"
SRC_URI="x86? ( ${REL_URI}/linux/${MY_FILE}-i686.tgz )
    amd64? ( ${REL_URI}/linux/${MY_FILE}-x86_64.tgz )"

LICENSE="splunk-eula"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

src_prepare() {
	chown root:root -R "${S}"
}

src_install() {
	insinto /opt/${PN}
	doins -r ${PN}/.

	find "${D}/opt/${PN}/bin" -print0 | xargs -0 chmod 755
	dosym /opt/${PN}/bin/splunk /opt/bin/splunk

	keepdir /var/lib/splunk
	echo "SPLUNK_DB=/var/lib/splunk" >> "${D}/opt/${PN}/etc/splunk-launch.conf"

	newinitd "${FILESDIR}"/splunk.initd splunk
}

pkg_postinst() {
	elog "To create a default configuration run the following command:"
	elog ""
	elog "  emerge --config =${CATEGORY}/${P}"
	elog ""
	elog "For more information about Splunk, please visit"
	elog "${HOMEPAGE}/doc/latest"
	elog ""
	elog "To add splunk to your startup scripts"
	elog "run 'rc-update add splunk default'"
}

pkg_config() {
	einfo "Creating default configuration to monitor /var/log ..."
	# Need to start splunk to accept the license and build database
	/opt/${PN}/bin/splunk start --accept-license
	/opt/${PN}/bin/splunk stop
}
